Bug 15340 - The 7.6 branch fails to build under MinGW
Summary: The 7.6 branch fails to build under MinGW
Status: WAITING
Alias: None
Product: gdb
Classification: Unclassified
Component: external (show other bugs)
Version: HEAD
: P2 critical
Target Milestone: 7.6
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-04 14:23 UTC by Mircea Gherzan
Modified: 2013-05-04 00:49 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments
the stderr output of make -k (7.56 KB, text/plain)
2013-04-04 14:23 UTC, Mircea Gherzan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mircea Gherzan 2013-04-04 14:23:36 UTC
Created attachment 6967 [details]
the stderr output of make -k

Most build errors are caused by libiberty. The stderr output is attached.
Comment 1 Joel Brobecker 2013-04-17 10:55:59 UTC
From the logs, it looks like the problem occurs with 64bit MinGW. But I could not reproduce. Setup issue?

Suggest not blocking for 7.6 release.
Comment 2 Joel Brobecker 2013-04-17 10:58:02 UTC
Suggest also providing more info:
  * Compiler version
  * command used to configure GDB, and in particular, the use of --build=...
Comment 3 gdb-bugs 2013-05-04 00:49:31 UTC
I can confirm this issue with current git master, using mingw-w64 gcc4.8.0 32bit from mingw-builds. Configure command used was:

./configure --prefix=/g/progEnv/gdb-git/repo/../install --build=mingw32 --host=mingw32 \
--target=mingw32 \
CFLAGS="-O2 -march=native \
-I/g/progEnv/gdb-git/repo/../expat-install/include \
-L/g/progEnv/gdb-git/repo/../expat-install/lib \
-I/g/progEnv/gdb-git/repo/../libiconv-install/include \
-L/g/progEnv/gdb-git/repo/../libiconv-install/lib" \
--with-python=/c/python26 --with-expat --disable-nls

gcc -v:

$ gcc -v
Using built-in specs.
COLLECT_GCC=t:\mingw32\bin\gcc.exe
COLLECT_LTO_WRAPPER=t:/mingw32/bin/../libexec/gcc/i686-w64-mingw32/4.8.0/lto-wrapper.exe
Target: i686-w64-mingw32
Configured with: ../../../src/gcc-4.8.0/configure --host=i686-w64-mingw32 --build=i686-w64-mingw32 --target=i686-w64-mingw32 --prefix=/mingw32 --with-sysroot=/temp/x32-480-posix-dwarf-r1/mingw32 --enable-shared --enable-static --disable-multilib --enable-languages=c,c++,fortran,lto --enable-libstdcxx-time=yes --enable-threads=posix --enable-libgomp --enable-lto --enable-graphite --enable-checking=release --enable-fully-dynamic-string --enable-version-specific-runtime-libs --disable-sjlj-exceptions --with-dwarf2 --disable-isl-version-check --disable-cloog-version-check --disable-libstdcxx-pch --disable-libstdcxx-debug --disable-bootstrap --disable-rpath --disable-win32-registry --disable-nls --disable-werror --disable-symvers --with-gnu-as --with-gnu-ld --with-arch=i686 --with-tune=generic --with-host-libstdcxx='-static -lstdc++' --with-libiconv --with-system-zlib --with-gmp=/temp/mingw-prereq/i686-w64-mingw32-static --with-mpfr=/temp/mingw-prereq/i686-w64-mingw32-static --with-mpc=/temp/mingw-prereq/i686-w64-mingw32-static --with-isl=/temp/mingw-prereq/i686-w64-mingw32-static --with-cloog=/temp/mingw-prereq/i686-w64-mingw32-static --enable-cloog-backend=isl --with-pkgversion='rev1, Built by MinGW-builds project' --with-bugurl=http://sourceforge.net/projects/mingwbuilds/ CFLAGS='-O2 -pipe -I/temp/x32-480-posix-dwarf-r1/libs/include -I/temp/mingw-prereq/x32-zlib/include -I/temp/mingw-prereq/i686-w64-mingw32-static/include' CXXFLAGS='-O2 -pipe -I/temp/x32-480-posix-dwarf-r1/libs/include -I/temp/mingw-prereq/x32-zlib/include -I/temp/mingw-prereq/i686-w64-mingw32-static/include' CPPFLAGS= LDFLAGS='-pipe -L/temp/x32-480-posix-dwarf-r1/libs/lib -L/temp/mingw-prereq/x32-zlib/lib -L/temp/mingw-prereq/i686-w64-mingw32-static/lib -L/temp/x32-480-posix-dwarf-r1/mingw32/opt/lib'
Thread model: posix
gcc version 4.8.0 (rev1, Built by MinGW-builds project)